<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
            <span jhiTranslate="mpmApp.priceComponent.home.title">Price Components</span>
            </h5>
            <p-dataTable
                [value]="priceComponents"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idPriceComponent"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                        <ul class="nav justify-content-end">
                                <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['price-component-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                                </li>
                        </ul>
        
                    <!-- <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: 'price-component-new/+idproduct' } }]">
                        </button>
                    </div> -->
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.priceComponent.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.priceComponent.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.price'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.price | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.manfucterPrice'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.manfucterPrice | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.discount'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.discount | number: '.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.dateFrom'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateFrom | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.dateThru'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateThru | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.product'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.productId">
                            <a [routerLink]="['../product', rowData.productId  ]" >{{rowData.productId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.party'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.partyId">
                            <a [routerLink]="['../party', rowData.partyId  ]" >{{rowData.partyId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.wetype'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.wetypeId">
                            <a [routerLink]="['../work-effort-type', rowData.wetypeId  ]" >{{rowData.wetypeId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../price-component', rowData.idPriceComponent]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'price-component/'+ rowData.idPriceComponent + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idPriceComponent)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>